Package org.w3._1999.xhtml

# Class AContent

java.lang.Object
org.w3._1999.xhtml.AContent

Direct Known Subclasses:
  `A`

public class AContent extends Object
a elements use "Inline" excluding a <p>Java class for a.content complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="a.content"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <choice maxOccurs="unbounded" minOccurs="0"> <group ref="{http://www.w3.org/1999/xhtml}special"/> <group ref="{http://www.w3.org/1999/xhtml}fontstyle"/> <group ref="{http://www.w3.org/1999/xhtml}phrase"/> <group ref="{http://www.w3.org/1999/xhtml}inline.forms"/> <group ref="{http://www.w3.org/1999/xhtml}misc.inline"/> </choice> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Object>`
  `content`
  a elements use "Inline" excluding a

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AContent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getContent()`
  a elements use "Inline" excluding a Gets the value of the content property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### content

    protected List<Object> content
    a elements use "Inline" excluding a

- ## Constructor Details

  - ### AContent

    public AContent()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    a elements use "Inline" excluding a Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

         getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `String` `Abbr` `Acronym` `B` `Bdo` `Big` `Br` `Button` `Cite` `Code` `Del` `Dfn` `Em` `I` `Img` `Input` `Ins` `Kbd` `Label` `Map` `Object` `Q` `Samp` `Script` `Select` `Small` `Span` `Strong` `Sub` `Sup` `Textarea` `Tt` `Var`

    Returns:
      The value of the content property.